BasicComboBoxUI.FocusHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler class
Date: 2015-05-24

javax.swing.plaf.basic

## Class BasicComboBoxUI.FocusHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboBoxUI.FocusHandler

- All Implemented Interfaces:
    FocusListener, EventListener
  Enclosing class:
    BasicComboBoxUI

      public class BasicComboBoxUI.FocusHandler
      extends Object
      implements FocusListener

  This listener hides the popup when the focus is lost. It also repaints when focus is gained or lost. This public inner class should be treated as protected. Instantiate it only within subclasses of `BasicComboBoxUI`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FocusHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
    `void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FocusHandler

          public FocusHandler()

  - ### Method Detail

    - #### focusGained

          public void focusGained(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component gains the keyboard focus.
      Specified by:
        `focusGained` in interface `FocusListener`

    - #### focusLost

          public void focusLost(FocusEvent e)

      Description copied from interface: `FocusListener`
      Invoked when a component loses the keyboard focus.
      Specified by:
        `focusLost` in interface `FocusListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.